Bug 200279 - Tile mode and Alt-Tab slow with many windows
Tile mode and Alt-Tab slow with many windows
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-07-26 13:29 EDT by Bastien Nocera
Modified: 2009-07-14 13:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-07-26 13:29:10 EDT

0. Make sure your setup has 3 (or more) workspaces, and windows don't overlap
between workspaces
1. Start up 14 windows on workspace 1 (web browser windows for example)
2. Start 2 windows on worspace 2
3. Switching between workspace 2 and 3 is very fast
4. Switching between the last workspace and workspace 1 is very slow

Having overlapping windows between workspaces will also make switching to those
workspace quite a bit slower (depending on how many windows are visible)
Comment 1 Bastien Nocera 2006-07-31 17:24:56 EDT
Moving all the compiz bugs to rawhide
Comment 2 Matěj Cepl 2007-09-11 20:34:33 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
Comment 4 Bastien Nocera 2007-10-12 08:30:27 EDT
It's not that slow switching workspaces anymore, but Alt-tab and the scale
plugin (for the Exposé-style tiling) are still very slow (note that I had to
enable the scale plugin myself, as it seems to be disabled by default).
Comment 5 Bastien Nocera 2007-10-12 08:31:24 EDT
Tested with compiz-0.6.0-1.fc8 and xorg-x11-drv-i810-2.1.1-4.fc8
Comment 7 Bug Zapper 2008-04-03 13:51:57 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:42:21 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
Comment 9 Bastien Nocera 2008-05-07 08:14:07 EDT
Still a problem in F9.
Comment 10 Bug Zapper 2008-05-13 22:15:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 11 Bug Zapper 2009-06-09 18:14:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2009-07-14 13:08:05 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.